# Failbot JS

A [Haystack](https://haystack.githubapp.com/) client for JavaScript.

## Installation

This package is published to npm as `@github/failbot`.

```shell
❯ npm install @github/failbot
```

## Usage:

```javascript
const {Failbot, HTTPBackend, LogBackend} = require('@github/failbot')

const failbot = new Failbot({
  app: 'my-cool-app',
  backends: [new HTTPBackend({haystackURL: process.env.HAYSTACK_URL}), new LogBackend({log: console.log.bind(console)})]
})

try {
  riskyThing()
} catch (error) {
  failbot.report(error, {
    extra: 'metadata',
    can: 'be',
    passed: 'as well'
  })
}
```
