"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogBackend = void 0;
const json_1 = require("../formatters/json");
const check_type_1 = require("../utils/check-type");
class LogBackend {
    constructor(opts) {
        const { app, log } = opts;
        (0, check_type_1.checkType)(log, 'function', 'log');
        this.log = log;
        this.app = app;
    }
    report(error, metadata) {
        const data = Object.assign({ app: this.app }, metadata);
        return Promise.resolve(this.log((0, json_1.formatJSON)(error, data)));
    }
}
exports.LogBackend = LogBackend;
//# sourceMappingURL=log.js.map