import { FailbotBackend } from './failbot-backend';
export interface FailbotOptions {
    app: string;
    backends: FailbotBackend[];
}
export declare class Failbot {
    app: string;
    backends: FailbotBackend[];
    constructor(opts: FailbotOptions);
    /**
     * Populate default context from settings. Since settings commonly comes from
     * ENV, this allows setting defaults for the context via the environment.
     */
    getFailbotContext(): {
        [key: string]: string | undefined;
    };
    report(error: Error, metadata?: {
        [key: string]: unknown;
    }): Array<Promise<Response | void>>;
}
//# sourceMappingURL=failbot.d.ts.map