"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatJSON = void 0;
const getEnv = (function () {
    let env;
    return () => {
        if (env)
            return env;
        if (typeof process !== 'undefined' && typeof process.version !== 'undefined') {
            return (env = `Node.js ${process.version}`);
        }
        if (typeof window !== 'undefined' && typeof window.navigator !== 'undefined') {
            return (env = window.navigator.userAgent);
        }
        return '';
    };
})();
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function formatJSON(error, metadata = {}) {
    return Object.assign({
        rollup: 'auto' // rollup can be overriden
    }, metadata, {
        created_at: new Date().toISOString(),
        class: error.name,
        message: error.message,
        backtrace: error.stack || '',
        js_environment: getEnv()
    });
}
exports.formatJSON = formatJSON;
//# sourceMappingURL=json.js.map